Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml
Class QName

    java.lang.Object
      com.dbxml.xml.QName

public final class QName
extends java.lang.Object

QName represents an XML qualified name.

Constructor Summary
`QName(java.lang.String name)`
`QName(java.lang.String name, java.lang.String uri)`

Method Summary
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getSAXPrefix()`
`java.lang.String` | `getSAXURI()`
`java.lang.String` | `getURI()`
`boolean` | `isNamespaceDecl()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QName

    public QName(java.lang.String name,
                 java.lang.String uri)

### QName

    public QName(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getPrefix

    public java.lang.String getPrefix()

### getSAXPrefix

    public java.lang.String getSAXPrefix()

### getLocalName

    public java.lang.String getLocalName()

### getURI

    public java.lang.String getURI()

### getSAXURI

    public java.lang.String getSAXURI()

### isNamespaceDecl

    public boolean isNamespaceDecl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group